/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "wc_detalle_requisicion_producto")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "WcDetalleRequisicionProducto.findAll", query = "SELECT w FROM WcDetalleRequisicionProducto w"),
        @NamedQuery(name = "WcDetalleRequisicionProducto.findByIdReq", query = "SELECT w FROM WcDetalleRequisicionProducto w WHERE w.wcDetalleRequisicionProductoPK.idReq = :idReq"),
        @NamedQuery(name = "WcDetalleRequisicionProducto.findByProductoCodigo", query = "SELECT w FROM WcDetalleRequisicionProducto w WHERE w.wcDetalleRequisicionProductoPK.productoCodigo = :productoCodigo"),
        @NamedQuery(name = "WcDetalleRequisicionProducto.findByCantidadPedida", query = "SELECT w FROM WcDetalleRequisicionProducto w WHERE w.cantidadPedida = :cantidadPedida"),
        @NamedQuery(name = "WcDetalleRequisicionProducto.findByCantidadEnviada", query = "SELECT w FROM WcDetalleRequisicionProducto w WHERE w.cantidadEnviada = :cantidadEnviada"),
        @NamedQuery(name = "WcDetalleRequisicionProducto.findByTipoProducto", query = "SELECT w FROM WcDetalleRequisicionProducto w WHERE w.tipoProducto = :tipoProducto")})
public class WcDetalleRequisicionProducto implements Serializable {

    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected WcDetalleRequisicionProductoPK wcDetalleRequisicionProductoPK;
    @Column(name = "cantidad_pedida")
    private Integer cantidadPedida;
    @Column(name = "cantidad_enviada")
    private Integer cantidadEnviada;
    @Column(name = "tipo_producto")
    private Integer tipoProducto;
    @JoinColumn(name = "id_req", referencedColumnName = "id_req", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private WcRequisicionProducto wcRequisicionProducto;

    public WcDetalleRequisicionProducto() {
    }

    public WcDetalleRequisicionProducto(WcDetalleRequisicionProductoPK wcDetalleRequisicionProductoPK) {
        this.wcDetalleRequisicionProductoPK = wcDetalleRequisicionProductoPK;
    }

    public WcDetalleRequisicionProducto(int idReq, String productoCodigo) {
        this.wcDetalleRequisicionProductoPK = new WcDetalleRequisicionProductoPK(idReq, productoCodigo);
    }

    public WcDetalleRequisicionProductoPK getWcDetalleRequisicionProductoPK() {
        return wcDetalleRequisicionProductoPK;
    }

    public void setWcDetalleRequisicionProductoPK(WcDetalleRequisicionProductoPK wcDetalleRequisicionProductoPK) {
        this.wcDetalleRequisicionProductoPK = wcDetalleRequisicionProductoPK;
    }

    public Integer getCantidadPedida() {
        return cantidadPedida;
    }

    public void setCantidadPedida(Integer cantidadPedida) {
        this.cantidadPedida = cantidadPedida;
    }

    public Integer getCantidadEnviada() {
        return cantidadEnviada;
    }

    public void setCantidadEnviada(Integer cantidadEnviada) {
        this.cantidadEnviada = cantidadEnviada;
    }

    public Integer getTipoProducto() {
        return tipoProducto;
    }

    public void setTipoProducto(Integer tipoProducto) {
        this.tipoProducto = tipoProducto;
    }

    public WcRequisicionProducto getWcRequisicionProducto() {
        return wcRequisicionProducto;
    }

    public void setWcRequisicionProducto(WcRequisicionProducto wcRequisicionProducto) {
        this.wcRequisicionProducto = wcRequisicionProducto;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (wcDetalleRequisicionProductoPK != null ? wcDetalleRequisicionProductoPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof WcDetalleRequisicionProducto)) {
            return false;
        }
        WcDetalleRequisicionProducto other = (WcDetalleRequisicionProducto) object;
        if ((this.wcDetalleRequisicionProductoPK == null && other.wcDetalleRequisicionProductoPK != null) || (this.wcDetalleRequisicionProductoPK != null && !this.wcDetalleRequisicionProductoPK.equals(other.wcDetalleRequisicionProductoPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.WcDetalleRequisicionProducto[ wcDetalleRequisicionProductoPK=" + wcDetalleRequisicionProductoPK + " ]";
    }

}
